--
-- fuelllevel2
--


fuelllevel2 = {};

function fuelllevel2.prerequisitesPresent(specializations)
    return SpecializationUtil.hasSpecialization(Steerable, specializations);
end;

function fuelllevel2:load(xmlFile)
	self.combineName = getXMLString(xmlFile, "vehicle.name.de");
	X, Y, Z = Utils.getVectorFromString(getXMLString(xmlFile, "vehicle.fuelllevel2sAnzeigenPosition#Position"));
end;

function fuelllevel2:keyEvent(unicode, sym, modifier, isDown)
end;

function fuelllevel2:update(dt)
	local prozent =
self.grainTankFillLevel/self.grainTankCapacity*100;
if prozent > 0
then
renderText(0.78, 0.68, 0.02,""..string.format("CAT Lexion 580R: %.0f (%d%%)",
self.grainTankFillLevel-1, prozent).."");
end;
	
end;

function fuelllevel2:draw()
end;

function fuelllevel2:onEnter()
end;

function fuelllevel2:onLeave()
end;

function fuelllevel2:delete()
end;

function fuelllevel2:mouseEvent(posX, posY, isDown, isUp, button)
end;






